Name:           tralics
Version:        2.15.4
Release:        1%{?dist}
Summary:        LaTeX to XML translator
License:        CeCILL
URL:            http://www-sop.inria.fr/marelle/tralics/
Source0:        ftp://ftp-sop.inria.fr/marelle/tralics/src/%{name}-src-%{version}.tar.gz
BuildRequires:  texlive-collection-latexextra

%description
Tralics is a free software whose purpose is to convert a LaTeX document into 
an XML file. It is used since 2002 for instance to produce the INRIA's 
annual activity report.

%prep
%setup -q
for f in Licence_CeCILL_V2-en.txt ChangeLog
    do
      iconv -f ISO-8859-15 -t utf-8	\
      ${f} > ${f}.conv &&               \
      touch -r ${f} ${f}.conv &&        \
      mv -f ${f}.conv ${f}
    done
sed -i 's|tralics $(OBJECTS)|tralics $(OBJECTS) $(LDFLAGS)|' src/Makefile

%build
%make_build -C src/ CPPFLAGS="%{optflags}                     \
                    -DTRALICSDIR=\\\"%{_datadir}/%{name}\\\"  \
                    -DCONFDIR=\\\"%{_sysconfdir}/%{name}\\\"" \
                    LDFLAGS="%{?__global_ldflags}"

%install
rm -frv confdir/{README,COPYING}
install -pDm755 src/%{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -pm644 confdir/* %{buildroot}%{_datadir}/%{name}/

%check
cd Test && ./alltests

%files
%doc ChangeLog README
%license COPYING Copyright Licence_CeCILL_V2-en.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Mon Mar  7 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@bupkis> - 2.15.4-1
- Update to latest version (#1274713)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.15.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Aug 11 2015 Christopher Meng <rpm@cicku.me> - 2.15.3-1
- Update to 2.15.3

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.15.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Fri Jan 23 2015 Christopher Meng <rpm@cicku.me> - 2.15.2-1
- Update to 2.15.2

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 25 2013 Christopher Meng <rpm@cicku.me> - 2.15.1-3
- Pass proper flags to make.
- Fix UTF issues of docs.

* Mon Oct 07 2013 Christopher Meng <rpm@cicku.me> - 2.15.1-2
- Move files to /usr/share so it can be found by other programs.

* Mon Jul 29 2013 Christopher Meng <rpm@cicku.me> - 2.15.1-1
- Initial Package.
